You are not logged in.

#1 2004-05-16 16:26:20

iKevin
Member
From: Ann Arbor, MI
Registered: 2003-07-20
Posts: 130

gcc installation question

Hi All

I would like to be able to have both gcc 3.4 and gcc 3.3.3 installed.  This is easy, if I compile them from source.  After doing so,  I could use the -V option to specify the older version of the compiler, when needed.  However, I would like to be able to do this from with ABS.  So, is it possible to install both?

Thanks
Kevin

Offline

#2 2004-05-18 00:32:33

Zephirias
Member
From: Pennsylvania, USA
Registered: 2004-04-26
Posts: 179

Re: gcc installation question

I haven't gotten much, if really any, experience with ABS, though I'm not sure if you can, because if I remember correctly, ABS scripts will make a package that you can install with Pacman, which in turn might upgrade over an existing package.


"Technically, you would only need one time traveler convention."

Offline

#3 2004-05-18 01:27:46

kpiche
Forum Fellow
From: Ottawa, ON, Canada
Registered: 2004-03-30
Posts: 246
Website

Re: gcc installation question

You would have to have a different package name like gcc333 or similar.  There's a config option --program-suffix/prefix/whatever that allows mangling of the command names: like adding -333 to each bin.  Maybe another install path would help too.  I haven't tried it by the way...

Offline

#4 2004-05-18 11:30:57

iKevin
Member
From: Ann Arbor, MI
Registered: 2003-07-20
Posts: 130

Re: gcc installation question

Thanks for your comments.  I hadn't had a chance to mess around with it and tried to get comments first.  I'll start trying to instal both tonight and get back to the forum.

Offline

Board footer

Powered by FluxBB